Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DistributedSmoothNodeAI Class Reference
Inheritance diagram for DistributedSmoothNodeAI:

## Public Member Functions
| __init__ (self, air, name=None)
| clearSmoothing (self, bogus=None)
| delete (self)
| disable (self)
| generate (self)
| getComponentH (self)
| getComponentL (self)
| getComponentP (self)
| getComponentR (self)
| getComponentT (self)
| getComponentX (self)
| getComponentY (self)
| getComponentZ (self)
| setComponentH (self, h)
| setComponentL (self, l)
| setComponentP (self, p)
| setComponentR (self, r)
| setComponentT (self, t)
| setComponentX (self, x)
| setComponentY (self, y)
| setComponentZ (self, z)
| setSmH (self, h, t=None)
| setSmHpr (self, h, p, r, t=None)
| setSmPos (self, x, y, z, t=None)
| setSmPosHpr (self, x, y, z, h, p, r, t=None)
| setSmPosHprL (self, l, x, y, z, h, p, r, t=None)
| setSmStop (self, t=None)
| setSmXY (self, x, y, t=None)
| setSmXYH (self, x, y, h, t=None)
| setSmXYZH (self, x, y, z, h, t=None)
| setSmXZ (self, x, z, t=None)
| setSmZ (self, z, t=None)
Public Member Functions inherited from DistributedNodeAI
| __init__ (self, air, name=None)
| b_setParent (self, parentToken)
| setParent ###
| b_setPosHpr (self, x, y, z, h, p, r)
| b_setXYZH (self, x, y, z, h)
| d_setH (self, h)
| d_setHpr (self, h, p, r)
| d_setP (self, p)
| d_setParent (self, parentToken)
| d_setPos (self, x, y, z)
| d_setPosHpr (self, x, y, z, h, p, r)
| d_setR (self, r)
| d_setX (self, x)
| set pos and hpr functions #######
| d_setXY (self, x, y)
| d_setXYH (self, x, y, h)
| d_setXYZH (self, x, y, z, h)
| d_setY (self, y)
| d_setZ (self, z)
| do_setParent (self, parentToken)
| getXYZH (self)
| setLocation (self, parentId, zoneId, teleport=0)
| setParent (self, parentToken)
| setParentStr (self, parentToken)
| setXY (self, x, y)
| setXYH (self, x, y, h)
| setXYZH (self, x, y, z, h)
Public Member Functions inherited from DistributedObjectAI
| __init__ (self, air)
| announceGenerate (self)
| b_setLocation (self, parentId, zoneId)
| beginBarrier (self, name, avIds, timeout, callback)
| d_setLocation (self, parentId, zoneId)
| deleteOrDelay (self)
| execCommand (self, string, mwMgrId, avId, zoneId)
| generateInit (self, repository=None)
| generateOtpObject (self, parentId, zoneId, optionalFields=[], doId=None)
| generateTargetChannel (self, repository)
| generateWithRequired (self, zoneId, optionalFields=[])
| generateWithRequiredAndId (self, doId, parentId, zoneId, optionalFields=[])
| GetAccountConnectionChannel (self, doId)
| GetAccountIDFromChannelCode (self, channel)
| GetAvatarIDFromChannelCode (self, channel)
| getBarrierData (self)
| getCacheable (self)
| getCollTrav (self, *args, **kArgs)
| getDelayDeleteCount (self)
| getDeleteEvent (self)
| getDoId (self)
| getLocation (self)
| getLogicalZoneChangeEvent (self)
| getNonCollidableParent (self)
| getParentMgr (self)
| GetPuppetConnectionChannel (self, doId)
| getRender (self)
| getZoneChangeEvent (self)
| getZoneData (self)
| handleLogicalZoneChange (self, newZoneId, oldZoneId)
| ignoreBarrier (self, context)
| initFromServerResponse (self, valDict)
| isDeleted (self)
| isGenerated (self)
| isGridParent (self)
| postGenerateMessage (self)
| preAllocateDoId (self)
| releaseZoneData (self)
| requestDelete (self)
| sendDeleteEvent (self)
| sendGenerateWithRequired (self, repository, parentId, zoneId, optionalFields=[])
| sendMessageBundle (self)
| sendUpdate (self, fieldName, args=[])
| sendUpdateToAccountId (self, accountId, fieldName, args)
| sendUpdateToAvatarId (self, avId, fieldName, args)
| sendUpdateToChannel (self, channelId, fieldName, args)
| setAI (self, aiChannel)
| setBarrierReady (self, context)
| startMessageBundle (self, name)
| status (self, indent=0)
| taskName (self, taskString)
| uniqueName (self, idString)
| updateAllRequiredFields (self, dclass, di)
| updateAllRequiredOtherFields (self, dclass, di)
| updateRequiredFields (self, dclass, di)
| updateRequiredOtherFields (self, dclass, di)
| validate (self, avId, bool, msg)
Public Member Functions inherited from DistributedObjectBase
| __init__ (self, cr)
| getParentObj (self)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)
Public Member Functions inherited from DistributedSmoothNodeBase
| __init__ (self)
| b_clearSmoothing (self)
| d_clearSmoothing (self)
| getPosHprBroadcastPeriod (self)
| getPosHprBroadcastTaskName (self)
| posHprBroadcast ###
| posHprBroadcastStarted (self)
| sendCurrentPosition (self)
| setPosHprBroadcastPeriod (self, period)
| startPosHprBroadcast (self, period=.2, stagger=0, type=None)
| stopPosHprBroadcast (self)
| wantSmoothPosBroadcastTask (self)

## Additional Inherited Members
Static Public Member Functions inherited from DistributedObjectAI
| staticGetLogicalZoneChangeEvent (doId)
| staticGetZoneChangeEvent (doId)
Public Attributes inherited from DistributedNodeAI
int | DistributedNodeAI_initialized = 1
| gridParent = None
Public Attributes inherited from DistributedObjectAI
str | accountName = ''
| air = air
| Asad: As per Roger's suggestion, turn off the following block until a solution is thought out of how to prevent this delete message or to handle this message better TODO: do we still need this check?
| dclass = self.air.dclassesByName[className]
int | DistributedObjectAI_initialized = 1
| lastNonQuietZone = None
Public Attributes inherited from DistributedObjectBase
| cr = cr
| doId
int | parentId = None
| zoneId = None
Public Attributes inherited from DistributedSmoothNodeBase
| broadcastType = type
| cnode = CDistributedSmoothNodeBase()
| d_broadcastPosHpr = None
| dclass = self.getPosHprBroadcastTaskName()
| doId
Static Public Attributes inherited from DistributedObjectAI
int | QuietZone = 1
Static Public Attributes inherited from DistributedObjectBase
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Static Public Attributes inherited from DistributedSmoothNodeBase
| BroadcastTypes = Enum('FULL, XYH, XY')
Protected Member Functions inherited from DistributedObjectAI
| _retrieveCachedData (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Member Functions inherited from DistributedSmoothNodeBase
| _posHprBroadcast (self, task=DummyTask)
Protected Attributes inherited from DistributedObjectAI
bool | _DOAI_requestedDelete = False
| _zoneData = None
Protected Attributes inherited from DirectObject
dict | _taskList = {}
Protected Attributes inherited from DistributedSmoothNodeBase
| _posHprBroadcast = randFloat(period)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | air,
|  |  | name = None )

## Member Function Documentation

## ◆ clearSmoothing()

clearSmoothing | ( |  | self,
|  |  | bogus = None )

## ◆ delete()

delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete
    Note that this may be called multiple times if a class inherits
    from DistributedObjectAI more than once.

Reimplemented from DistributedNodeAI.

## ◆ disable()

disable | ( |  | self | ) |

Reimplemented from DistributedSmoothNodeBase.

## ◆ generate()

generate | ( |  | self | ) |

    Inheritors should put functions that require self.zoneId or
    other networked info in this function.

Reimplemented from DistributedObjectAI.

## ◆ getComponentH()

getComponentH | ( |  | self | ) |

## ◆ getComponentL()

getComponentL | ( |  | self | ) |

## ◆ getComponentP()

getComponentP | ( |  | self | ) |

## ◆ getComponentR()

getComponentR | ( |  | self | ) |

## ◆ getComponentT()

getComponentT | ( |  | self | ) |

## ◆ getComponentX()

getComponentX | ( |  | self | ) |

## ◆ getComponentY()

getComponentY | ( |  | self | ) |

## ◆ getComponentZ()

getComponentZ | ( |  | self | ) |

## ◆ setComponentH()

setComponentH | ( |  | self,
|  |  | h )

## ◆ setComponentL()

setComponentL | ( |  | self,
|  |  | l )

## ◆ setComponentP()

setComponentP | ( |  | self,
|  |  | p )

## ◆ setComponentR()

setComponentR | ( |  | self,
|  |  | r )

## ◆ setComponentT()

setComponentT | ( |  | self,
|  |  | t )

## ◆ setComponentX()

setComponentX | ( |  | self,
|  |  | x )

## ◆ setComponentY()

setComponentY | ( |  | self,
|  |  | y )

## ◆ setComponentZ()

setComponentZ | ( |  | self,
|  |  | z )

## ◆ setSmH()

setSmH | ( |  | self,
|  |  | h,
|  |  | t = None )

## ◆ setSmHpr()

setSmHpr | ( |  | self,
|  |  | h,
|  |  | p,
|  |  | r,
|  |  | t = None )

## ◆ setSmPos()

setSmPos | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | t = None )

## ◆ setSmPosHpr()

setSmPosHpr | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r,
|  |  | t = None )

## ◆ setSmPosHprL()

setSmPosHprL | ( |  | self,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | p,
|  |  | r,
|  |  | t = None )

## ◆ setSmStop()

setSmStop | ( |  | self,
|  |  | t = None )

## ◆ setSmXY()

setSmXY | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | t = None )

## ◆ setSmXYH()

setSmXYH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | h,
|  |  | t = None )

## ◆ setSmXYZH()

setSmXYZH | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | z,
|  |  | h,
|  |  | t = None )

## ◆ setSmXZ()

setSmXZ | ( |  | self,
|  |  | x,
|  |  | z,
|  |  | t = None )

## ◆ setSmZ()

setSmZ | ( |  | self,
|  |  | z,
|  |  | t = None )